Summary: Object Oriented Script Language
Name: ruby
Version: 1.6.1
Release: 2mdk
Copyright: GPL
Group: Development/Other
BuildRequires: XFree86-devel gdbm-devel gpm-devel ncurses-devel readline-devel tcl tk
Source: ftp://ftp.netlab.co.jp/pub/lang/ruby/%{name}-%{version}.tar.bz2
Source1: http://www.pragprog.com:8080/rubyfaq/rubyfaqall.html.bz2
Source2: ftp://ftp.netlab.co.jp/pub/lang/ruby/doc/ruby-man-1.4.6.tar.bz2
URL: http://www.ruby-lang.org/
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: /var/tmp/%{name}-%{version}-root

%package doc
Summary: documentation for the powerful language Ruby
Group: Development/Other

%package extensions
Summary: extensions for the powerful language Ruby
Group: Development/Other

%description
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl).  It is simple, straight-forward, and extensible.

%description doc
see ruby

%description extensions
Win32API, curses, dbm, etc, fcntl, gdbm, md5, nkf, pty, readline, sdbm, socket, tcltklib, tk

see ruby for more

%prep
%setup -q

FILELIST="ruby.1 \
	ext/extmk.rb.in \
	ext/curses/*.rb \
	ext/tcltklib/demo/*.* ext/tcltklib/sample/*.rb ext/tcltklib/*.euc \
	ext/tk/sample/*.rb \
	sample/*.*"
for i in ${FILELIST}; do
	sed -e s#/usr/local/bin/#%{_bindir}/#g $i >$i.$$
        mv $i.$$ $i
done

%build
%configure
make
make test

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall DESTDIR=${RPM_BUILD_ROOT}

cp -a ext ${RPM_BUILD_ROOT}%{_libdir}/%{name}
cp -a lib/README ${RPM_BUILD_ROOT}%{_libdir}/%{name}/ext

install -d ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
cp -a COPYING* ChangeLog README* ToDo sample ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
bzcat %{SOURCE1} > ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/FAQ.html

install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
cp -a misc/ruby-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(autoload 'ruby-mode "ruby-mode" "Ruby editing mode." t)
(add-to-list 'auto-mode-alist '("\\.rb$" . ruby-mode))
(add-to-list 'interpreter-mode-alist '("ruby" . ruby-mode))
EOF


(cd ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version} ; tar xfy %{SOURCE2})


%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README
%{_bindir}/*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/1.*
%{_mandir}/*/*
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files doc
%defattr(-, root, root)
%{_docdir}/%{name}-%{version}/COPYING*
%{_docdir}/%{name}-%{version}/ChangeLog
%{_docdir}/%{name}-%{version}/README.*
%{_docdir}/%{name}-%{version}/FAQ.html
%{_docdir}/%{name}-%{version}/ToDo
%{_docdir}/%{name}-%{version}/sample
%{_docdir}/%{name}-%{version}/*man*

%files extensions
%defattr(-, root, root)
%{_libdir}/%{name}/ext

%changelog
* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 1.6.1-2mdk
- fix mispelling

* Thu Sep 28 2000 Pixel <pixel@mandrakesoft.com> 1.6.1-1mdk
- new version
- remove "--with-default-kcode=none", not more needed
- remove setting optflags to -O2, ruby doesn't crashes any more

* Tue Sep 19 2000 Pixel <pixel@mandrakesoft.com> 1.6.0-1mdk
- new version

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-6mdk
- add packager

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-5mdk
- nicer site-start.d/ruby.el (use add-to-list)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-4mdk
- fix missing %%config

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-3mdk
- use %{_sysconfdir}/emacs/site-start.d for the ruby-mode.el

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-2mdk
- rebuild (fredlsux)

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-1mdk
- new version
- remove menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.5-6mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-5mdk
- rebuild with clean clean_menus

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-4mdk
- macroization
- BM

* Thu Jul 13 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-3mdk
- fix %%URL

* Sun Jun 25 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-2mdk
- rebuild (src.rpm got lost :( )

* Fri Jun 23 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-1mdk
- new version

* Wed Jun 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.4-1mdk
- new version

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-6mdk
- fix group for doc

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-5mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-4mdk
- new group + cleanup

* Wed Feb 16 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-3mdk
- build with no charset conversion (was kanji :)

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-2mdk
- added the reference manual and FAQ in doc
- moved the lib/README in ext

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-1mdk
- mandrake adaptation and spliting in -/doc/extensions

* Wed Dec 08 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.3

* Mon Sep 20 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.2 (Sep 18)

* Fri Sep 17 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.2

* Tue Aug 17 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.0

* Fri Jul 23 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- Updated to version 1.2.6(15 Jul 1999)
- striped %{prefix}/bin/ruby

* Mon Jun 28 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.6(21 Jun 1999)

* Wed Apr 14 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.5

* Fri Apr 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.4

* Fri Dec 25 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.2 stable.

* Fri Nov 27 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.1c9.

* Thu Nov 19 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.1c8, however it appear short life :-P

* Fri Nov 13 1998 Toru Hoshina <hoshina@best.com>
- Version up.

end of changelog shortened, hope you japs won't kill a froggy for this :)
